import { useQuery as s } from "../../../../../@tanstack_preact-query@5.95.2_preact@10.29.0/node_modules/@tanstack/preact-query/build/modern/useQuery.js";
import { b as n, j as a } from "./StoreProvider-CBB99upB.js";
try {
  let e = typeof window < "u" ? window : typeof global < "u" ? global : typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : {}, t = new e.Error().stack;
  t && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[t] = "6f928316-a5f5-4b46-9bae-ce385b4214c1", e._sentryDebugIdIdentifier = "sentry-dbid-6f928316-a5f5-4b46-9bae-ce385b4214c1");
} catch {
}
const c = async (e, t) => a({
  baseUrl: t,
  path: `legalEntities/${e}/termsOfService/termsOfServiceAcceptanceInfos`
}), u = (e) => {
  const { rootLegalEntityId: t, baseUrl: r } = n();
  return s({
    queryKey: ["termsOfServiceAcceptanceInfos"],
    queryFn: () => c(t.value, r.value),
    ...e
  });
}, f = async (e, t) => a({
  baseUrl: t,
  path: `legalEntities/${e}/termsOfService/termsOfServiceStatus`
}), l = (e) => {
  const { rootLegalEntityId: t, baseUrl: r } = n();
  return s({
    queryKey: ["termsOfServiceStatus"],
    queryFn: () => f(t.value, r.value),
    ...e
  });
};
export {
  u as a,
  l as u
};
